// Задание
// Реализовать функцию для подсчета n-го обобщенного числа Фибоначчи. 
// Задача должна быть реализована на языке javascript, 
// без использования фреймворков и сторонник библиотек (типа Jquery).

// Технические требования:

// Написать функцию для подсчета n-го обобщенного числа Фибоначчи.
//  Аргументами на вход будут три числа - F0, F1, n, где F0, F1 - первые два числа последовательности (могут быть любыми целыми числами), 
//  n - порядковый номер числа Фибоначчи, которое надо найти. 
//  Последовательнось будет строиться по следующему правилу F2 = F0 + F1, F3 = F1 + F2 и так далее.
// Считать с помощью модального окна браузера число, которое введет пользователь (n).
// С помощью функции посчитать n-е число в обобщенной последовательности Фибоначчи и вывести его на экран.
// Пользователь может ввести отрицательное число - результат надо посчитать по такому же правилу (F-1 = F-3 + F-2).

function F (F0,F1,n){
    let res = F0 + F1;
    let next = F1;
    for(let i = 2; i <= n; i++){
        let current = next;
        next = res ;
        res =  current + res;
          }
    return res;
}

const res = F(1,2,3);
console.log(res)